@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,300..800;1,300..800&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Titillium+Web:wght@400;600&display=swap');

/* global variables */
/*:root {
    --header-bg-color: white;
    --header-font-color: black;
    --summary-bg-color: #aaa;
    --summary-font-color: black;
    --content-bg-color: #ddd;
    --content-font-color: black;
    --example-bg-color: #fed;
    --example-keyword-color: blue;
}

@media (prefers-color-scheme: dark) {
  :root {
    --header-bg-color: black;
    --header-font-color: white;
    --summary-bg-color: 444;
    --summary-font-color: white;
    --content-bg-color: #222;
    --content-font-color: white;
    --example-bg-color: #343434;
    --example-keyword-color: lightblue;
  }
}*/

/* documentation */
pre {
  margin-left: 4em;
  border: #fc6 1px;
  border-style: dashed;
  background-color: var(--example-bg-color);
  padding: 1em;
}
table {
  border-collapse: separate;
  border-spacing: 0;
  white-space: nowrap;
}
th {
  margin: 0;
  padding-left: 1em;
  padding-right: 1em;
  padding-top: .5em;
  padding-bottom: .5em;
  border-bottom: 2px solid #aaa;
  border-right: 1px solid #bbb;
}
td {
  margin: 0;
  padding-left: 1em;
  padding-right: 1em;
  padding-top: .5em;
  padding-bottom: .5em;
  border-bottom: 1px solid #aaa;
  border-right: 1px solid #bbb;
}
table tr td:last-child,
table tr th:last-child {
  border-right: 0;
  white-space:initial;
}
#app {
  display: flex;
  min-height: 100vh;
}
.sidebar {
  width: 20%;
  background-color: var(--header-bg-color);
  overflow-y: auto;
  height: 100vh;
  padding: 10px;
}
.mdpage {
  width: 80%;
  flex-grow: 1;
  padding: 10px;
  overflow-y: auto;
  height: 100vh;
}
.chapter {
  cursor: pointer;
  display: flex;
  align-items: center;
}
.subchapter {
  margin-left: 2em;
  cursor: pointer;
}
.expand-icon {
  cursor: pointer;
  margin-right: 5px;
}

/* header styles */
/*header {
  top: 0;
  left: 0;
  margin: 0;
  border: 0;
  padding: 0;
  font-size: 1.4em;
  font-weight: bold;
}
.header-menu {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  padding: 2em 0 2em;
  margin: 0;
  background-color: var(--header-bg-color);
  color: var(--header-font-color);
  z-index: 1000;
  transition: all 0.3s ease;
  text-align: center;
}*/
.detached {
  top: 1em;
  left: 6vw;
  width: 88vw;
  padding: 1em 0;
  border-radius: 1em;
}
.header-back {
  position: fixed;
  width: 100%;
  height: 8em;
  top: 0;
  left: 0;
  z-index: 999;
  backdrop-filter: blur(8px);
  -webkit-mask-image: linear-gradient(to bottom, black 50%, transparent);
  mask-image: linear-gradient(to bottom, black 50%, transparent);
}
.content {
  padding-top: 8em;
  /* min-height: 200vh; */
  background-color: var(--content-bg-color);
  overflow: auto;
  font-family: 'Titillium Web', 'Open Sans', Helvetica, Arial, sans-serif;
}
/*ul {
  list-style-type: none;
  overflow: hidden;
  background-color: var(--header-bg-color);
}
li {
  float: left;
}
li a {
  display: block;
  padding: 0 2em;
  text-align: center;
  text-decoration: none;
  color: var(--header-font-color);
}
li a:hover {
  color: gray;
}
li:last-child {
  right: 0;
  float: right;
}*/
.hidden {
  width: 0;
  height: 0;
}
